Bug 1300882 - Cockpit needs to be introduced in installation docs
Cockpit needs to be introduced in installation docs
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ashley Hardin
yapei
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 19:46 EST by James Radtke
Modified: 2016-06-10 17:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 17:25:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Radtke 2016-01-21 19:46:48 EST
Document URL: 
https://docs.openshift.com/enterprise/3.1/install_config/install/index.html

Section Number and Name: 
Unknown/TBD

Describe the issue: 
Cockpit was introduced in OSE 3.1 and there does not seem to be any supporting documentation specific to OSE.

Suggestions for improvement:
There should be mention of Cockpit in the docs.  Why it was included, what purpose it serves (or will serve).
Update the host port requirements that define what ports are listening on the Nodes.

Additional information:
Comment 4 Yoana Ruseva 2016-03-21 09:16:53 EDT
Hi Ashley, how can I help? You can check the current draft for Cockpit for Atomic here: https://access.qa.redhat.com/documentation/en/red-hat-enterprise-linux-atomic-host/version-7/getting-started-with-cockpit/

At the moment it is just installing and enabling it. I am working on providing examples with Docker and Kubernetes.
Comment 5 Peter Larsen 2016-03-21 10:32:21 EDT
(In reply to Yoana Ruseva from comment #4)
> Hi Ashley, how can I help? You can check the current draft for Cockpit for
> Atomic here:
> https://access.qa.redhat.com/documentation/en/red-hat-enterprise-linux-
> atomic-host/version-7/getting-started-with-cockpit/
> 
> At the moment it is just installing and enabling it. I am working on
> providing examples with Docker and Kubernetes.

This guide would be a poor fit for OSE. Cockpit is already installed and enabled with OSE - it's not a question of installing it, but using it. A guide should cover "getting started" and how the screens work in an OpenShift perspective. Ie. covering how the authentication is tied to the host, how it's tied to OSE and how the "cluster" connection works with OpenShift.  The user should understand when to use "add host" in Cockpit and what the cluster screens cover namespace wise.
Comment 6 Ashley Hardin 2016-03-21 15:03:36 EDT
(In reply to Peter Larsen from comment #5)
> (In reply to Yoana Ruseva from comment #4)
> > Hi Ashley, how can I help? You can check the current draft for Cockpit for
> > Atomic here:
> > https://access.qa.redhat.com/documentation/en/red-hat-enterprise-linux-
> > atomic-host/version-7/getting-started-with-cockpit/
> > 
> > At the moment it is just installing and enabling it. I am working on
> > providing examples with Docker and Kubernetes.
> 
> This guide would be a poor fit for OSE. Cockpit is already installed and
> enabled with OSE - it's not a question of installing it, but using it. A
> guide should cover "getting started" and how the screens work in an
> OpenShift perspective. Ie. covering how the authentication is tied to the
> host, how it's tied to OSE and how the "cluster" connection works with
> OpenShift.  The user should understand when to use "add host" in Cockpit and
> what the cluster screens cover namespace wise.

Thanks, Yoana and Peter.
Yes, I think the initial thought is to leave the bulk of the Cockpit content in the AH docs (linking to it as necessary from OpenShift docs), but incorporating OpenShift-specific Cockpit content in the OpenShift docs. Peter, may I pick your brain so that I can start getting some content drafted?
Comment 8 Ashley Hardin 2016-06-06 14:49:08 EDT
Work in progress: https://github.com/openshift/openshift-docs/pull/2222
Comment 9 openshift-github-bot 2016-06-07 14:42:28 EDT
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/f771a936bbd7c043ec346c7a0f3be5aa5a1a4ce8
Bug 1300882, added introductory Cockpit content

https://github.com/openshift/openshift-docs/commit/9897535e7d8b440a72f7928d8879c27e03175c5e
Merge pull request #2222 from ahardin-rh/cockpit-overview

Bug 1300882, added introductory Cockpit content

Note You need to log in before you can comment on or make changes to this bug.